## Apache Zeta Components Manual :: Docs For Class ezcDocumentBBCodeNoMarkupPlugin

### Document::ezcDocumentBBCodeNoMarkupPlugin

### Class ezcDocumentBBCodeNoMarkupPlugin

Visitor for bbcode emphasis tags

Source for this file: /Document/src/document/bbcode/plugins/no.php

    ezcDocumentBBCodePlugin
       |
       --ezcDocumentBBCodeNoMarkupPlugin

Version: | //autogen//

### Method Summary

public void | `toDocbook( $visitor , $root , $node )` Convert a BBCode tag into Docbook

### Inherited Methods

From ezcDocumentBBCodePlugin
protected void | `ezcDocumentBBCodePlugin::getText()` Recursively extract text from node
public abstract void | `ezcDocumentBBCodePlugin::toDocbook()` Convert a BBCode tag into Docbook

### Methods

#### toDocbook

void toDocbook( ezcDocumentBBCodeVisitor $visitor , $root , ezcDocumentBBCodeNode $node )

Convert a BBCode tag into Docbook

Convert the given node into a Docbook structure, in the given root. For child elements in the node you may call the visitNode() method of the provided visitor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcDocumentBBCodeVisitor |
`$root` | DOMElement |
`$node` | ezcDocumentBBCodeNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentBBCodePlugin::toDocbook()` | Convert a BBCode tag into Docbook

Documentation generated by phpDocumentor 1.4.3